## org.apache.batik.css.dom
Class CSSOMSVGStyleDeclaration.StyleDeclarationColorValue

    java.lang.Object
      org.apache.batik.css.dom.CSSOMSVGColor
          org.apache.batik.css.dom.CSSOMSVGStyleDeclaration.StyleDeclarationColorValue

All Implemented Interfaces:
  CSSOMSVGColor.ValueProvider, org.w3c.dom.css.CSSValue, org.w3c.dom.css.RGBColor, SVGColor, SVGICCColor, SVGNumberList

Enclosing class:
  CSSOMSVGStyleDeclaration

public class CSSOMSVGStyleDeclaration.StyleDeclarationColorValue
extends CSSOMSVGColor
implements CSSOMSVGColor.ValueProvider

This class represents a CSS value returned by this declaration.

Nested Class Summary

Nested classes inherited from class org.apache.batik.css.dom.CSSOMSVGColor
`CSSOMSVGColor.AbstractComponent, CSSOMSVGColor.AbstractModificationHandler, CSSOMSVGColor.BlueComponent, CSSOMSVGColor.ColorNumber, CSSOMSVGColor.FloatComponent, CSSOMSVGColor.GreenComponent, CSSOMSVGColor.ModificationHandler, CSSOMSVGColor.RedComponent, CSSOMSVGColor.ValueProvider`

Field Summary
`protected java.lang.String` `property` The property name.

Fields inherited from class org.apache.batik.css.dom.CSSOMSVGColor
`blueComponent, greenComponent, handler, iccColors, redComponent, valueProvider`

Fields inherited from interface org.w3c.dom.svg.SVGColor
`SVG_COLORTYPE_CURRENTCOLOR, SVG_COLORTYPE_RGBCOLOR, SVG_COLORTYPE_RGBCOLOR_ICCCOLOR, SVG_COLORTYPE_UNKNOWN`

Fields inherited from interface org.w3c.dom.css.CSSValue
`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

Constructor Summary
`CSSOMSVGStyleDeclaration.StyleDeclarationColorValue(java.lang.String prop)` Creates a new StyleDeclarationColorValue.

Method Summary
`Value` `getValue()` Returns the current value associated with this object.

Methods inherited from class org.apache.batik.css.dom.CSSOMSVGColor
`appendItem, clear, getBlue, getColorProfile, getColors, getColorType, getCssText, getCssValueType, getGreen, getICCColor, getItem, getNumberOfItems, getRed, getRGBColor, initialize, insertItemBefore, removeItem, replaceItem, setColor, setColorProfile, setCssText, setModificationHandler, setRGBColor, setRGBColorICCColor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### property

    protected java.lang.String property

  The property name.

Constructor Detail

### CSSOMSVGStyleDeclaration.StyleDeclarationColorValue

    public CSSOMSVGStyleDeclaration.StyleDeclarationColorValue(java.lang.String prop)

  Creates a new StyleDeclarationColorValue.

Method Detail

### getValue

    public Value getValue()

  Returns the current value associated with this object.

  Specified by:
    `getValue` in interface `CSSOMSVGColor.ValueProvider`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.